@import '../common/common.css';
@mixin displayFlex(){
    display: -webkit-box;      /* OLD - iOS 6-, Safari 3.1-6 */
    display: -moz-box;         /* OLD - Firefox 19- (buggy but mostly works) */
    display: -ms-flexbox;      /* TWEENER - IE 10 */
    display: -webkit-flex;     /* NEW - Chrome */
    display: flex;             /* NEW, Spec - Opera 12.1, Firefox 20+ */
}
.lightbox-overlay{
    top: 68px !important;
}
.typeahead-wrap.is-invalid{
    .form-control{
        border-color: #e46a76;
        padding-right: calc(1.5em + 0.75rem);
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23e46a76' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23e46a76' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E");
        background-repeat: no-repeat;
        background-position: center right calc(0.375em + 0.1875rem);
        background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
    }
}
.select-wrap {
    position: relative;
}
.select-wrap i {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 10px;
    color: white;
}

form.user_detail {
    background-color: white;
    padding: 48px;
}
form.user_detail .form-group {
    margin-bottom: 12px;
}
form.user_detail .select-wrap {
    margin: auto;
    width: 94px;
    text-align: center;
}
form.user_detail .custom-select {
    background: unset;
    padding: 0.375rem 1rem;
}
form.user_detail .avatar {
    height: 105px;
    width: 105px;
    border-radius: 50%;
    margin-bottom: 16px;
}
form.user_detail .select-pill {
    background: #8FD3F4;
    border-radius: 50px;
    font-size: 13px;
    padding-left: 18px;
    height: 26px;
    text-align: center;
    color: white;
}
form.user_detail .control-label {
    color: #6E6E6E;
}
form.user_detail .form-control-static {
    color: #4C4C4C;
}
form.user_detail .row-single .control-label {
    padding: 0 10px;
    max-width: 120px;
    width: 100%;
}
form.user_detail .row-single a {
    color: #8FD3F4;
    text-decoration: underline;
}
form.user_detail .row-single .date {
    display: flex;
}
form.user_detail .row-single .date span {
    width: 100px;
    display: block;
}
form.user_detail .image-group img {
    margin-right: 8px;
    width: 120px;
    position: relative;
    height: 120px;
}
form.user_detail .image-group .last-image {
    cursor: pointer;
    position: relative;
}
form.user_detail .image-group .last-image:after {
    content: "+102";
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 25px;
    top: 0;
    width: calc(100% - 8px);
    height: 100%;
    position: absolute;
    background-color: rgba(159, 158, 158, 0.6);
    color: white;
}
.reason_block {
    background-color: rgba(254, 94, 114, 0.1);
    border: 1px solid #FE5E72;
    padding: 10px;
}
.price {
    color: #FE5E72 !important;
}

span.handles {
    cursor: move;
    float: right;
}
.transfer-double-selected-list-header {
    display: none;
}

/* ticket */
.ticket {
    max-width: 563px;
    width: 100%;
    min-height: 173px;
    position: relative;
}
.ticket .ticket__divider {
    position: relative;
    width: 1.6rem;
    min-width: 1.1rem;
    height: 174px;
    background-color: white;
}
.ticket .ticket__divider::after {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    border-left: 2px dashed #E9EBED;
    margin: 0px 0;
    left: 60%;
}
.ticket .ticket__notch {
    position: absolute;
    left: -0.5rem;
    width: 2rem;
    height: 2rem;
    overflow: hidden;
}
.ticket .ticket__notch::after {
    content: "";
    position: relative;
    display: block;
    width: 2.5rem;
    height: 2.5rem;
    top: -65%;
    background: white;
    border: 0.5rem solid white;
    border-radius: 50%;
    box-shadow: inset 0 2px 4px black;
    background: white;
    z-index: 999999;
}
.ticket .ticket__notch--right {
    left: auto;
    position: absolute;
    left: -0.5rem;
    top: 81.9%;
    width: 2rem;
    height: 2rem;
    overflow: hidden;
}
.ticket .ticket__notch--right::after {
    height: 31px;
    bottom: -11px;
    top: unset;
    content: "";
    position: relative;
    display: block;
    width: 2.5rem;
    height: 2.5rem;
    background: white;
    border: 0.5rem solid white;
    border-radius: 50%;
    box-shadow: inset 0 2px 4px black;
    background: white;
    z-index: 999999;
}
.ticket .ticket-left {
    padding: 0px 10px 0px 0;
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.25);
    position: relative;
    max-width: 100%;
    min-width: 330px;
    width: 100%;
}
.ticket .ticket-left-text {
    position: absolute;
    right: 30px;
}
.ticket .ticket-left::after {
    content: "";
    right: 0;
    bottom: 0;
    position: absolute;
    /* height: 12px;
    width: 12px;
    border-radius: 45%;
    box-shadow:0 0 10px 10px;
    color: black; */
    background: radial-gradient(circle, transparent, transparent 50%, #FBFBFB 50%, #FBFBFB 100%) -7px -8px/16px 16px repeat-x;
}
.ticket .ticket-right {
    position: relative;
    box-shadow: 4px 0px 4px rgba(0, 0, 0, 0.25);
    min-width: 126px;
    padding: 20px 14px 20px 14px;
}
.ticket .ticket-right > div > div {
    color: #D1D1D1;
    font-size: 11px;
}
.ticket .ticket-right .ticket-right-text {
    position: absolute;
    top: 72px;
    right: -12px;
    transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
}

.ribbon-primary {
    background: #fb9678;
}
.ribbon {
    padding: 0 20px;
    height: 30px;
    line-height: 30px;
    clear: left;
    position: absolute;
    top: 12px;
    left: -2px;
    color: #fff;
}

.shop-create , .shop-detail{
    .col-form-label{
        width: 130px;
        padding: calc(0.375rem + 1px);
        &+div{
            width: calc(100% - 130px);
        }
    }
}
.shop-detail{
    .form-control-static{
        margin-bottom: 0;
    }
    .col-form-label + div{
        padding: calc(0.375rem + 1px);
    }
    .bt-switch select{
        border: 1px solid #e9ecef;
        border-radius: 0.25rem;
        height: calc(1.5em + 0.75rem + 2px);
        padding: 0.375rem 0.75rem;
        font-size: 0.875rem;
        font-weight: 400;
        line-height: 1.5;
    }
    .col-images{
        @include displayFlex();
        flex-wrap: wrap;
        .vue-lightbox{
            width: 100%;
            ul{
                li{
                    img{
                        width: 120px;
                        height: 120px;
                        object-fit: cover;
                    }
                }
            }
        }
    }
}
@media only screen and (max-width: 479.89px){
    .shop-create , .shop-detail{
        .col-form-label{
            width: 100%;
            &+div{
                width: 100%;
            }
        }
    }
}
